import json
from datetime import datetime
from elasticsearch_dsl import *


class CorrectionMessage(DocType):
    """This class encapsulate a correction message request"""

    class Meta:
        index = 'car-correction'

    def save(self, **kwargs):
        self.insertedDate = datetime.now()
        self.modifiedDate = datetime.now()
        return super(CorrectionMessage, self).save(**kwargs)
