import logging
import logging.handlers
import os


class Logger:
    def __init__(self, loggername):
        self.logger = logging.getLogger(loggername)
        self.logger.setLevel(logging.DEBUG)
        self.LOG_PATH = '..\\logs'

        if not os.path.exists(self.LOG_PATH):
            os.makedirs(self.LOG_PATH, 777)

        handler = logging.handlers.TimedRotatingFileHandler(filename=self.LOG_PATH + '\\logs.txt', when='d',interval=1,backupCount=5, delay=True)
        handler.setLevel(logging.DEBUG)
        self.logger.addHandler(handler)
